com.sun.jna.platform.win32

## Class WininetUtil

- java.lang.Object
- - com.sun.jna.platform.win32.WininetUtil

    public class WininetUtil
    extends java.lang.Object

Reusable functions that use WinInet

### Constructor Summary

Constructors
Constructor and Description
`WininetUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Map<java.lang.String,java.lang.String>` `getCache()` Helper function for traversing wininet's cache and returning all entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WininetUtil

    public WininetUtil()

### Method Detail

#### getCache

    public static java.util.Map<java.lang.String,java.lang.String> getCache()

Helper function for traversing wininet's cache and returning all entries.
Some entries are cookies, some entries are history items, and some are actual files.

Returns:
  A map of cache URL => local file (or URL => empty string for cookie and history entries)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.